Get Opportunity Quotes

Retrieve quotes for a specific opportunity.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunity_idintegerRequired
Opportunity ID

Query parameters

page_sizeintegerOptional1-100Defaults to 20

Number of items per page (max 100)

pageintegerOptional>=1Defaults to 1

Page number (1-based)

order_byenumOptionalDefaults to asc
Sort order for results
Allowed values:
updated_afterstringOptional

Filter items updated after this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.

updated_beforestringOptional

Filter items updated before this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.

Response

List of quotes for the opportunity
idinteger
Quote identifier
statusenum
Quote status
Allowed values:
amountdouble

Total quote amount (dollars)

createdAtstringformat: "date-time"
Creation timestamp
updatedAtstringformat: "date-time"
Last update timestamp
quoteNumberinteger or nullOptional

Unique quote number (uid)

descriptionstring or nullOptional
Quote description
discountTypeenum or nullOptional
Discount type
Allowed values:
discountValuedouble or nullOptional
Discount amount or percentage value
taxIdinteger or nullOptional
Tax configuration ID
issueDatestring or nullOptionalformat: "date-time"
Issue date when the quote has been issued
subtotaldouble or nullOptional

Subtotal in dollars (before tax)

taxRatedouble or nullOptional
Applied tax rate
isArchivedbooleanOptional
Whether the quote is archived
sharedWithPortalbooleanOptional
Whether the quote is shared with the client portal
accountobject or nullOptional
recordobject or nullOptional
lineItemslist of objectsOptional

Errors

401
Unauthorized Error